org.apache.tinkerpop.gremlin.server

## Enum Context.RequestContentType

- java.lang.Object
- - java.lang.Enum<Context.RequestContentType>
  - - org.apache.tinkerpop.gremlin.server.Context.RequestContentType

- All Implemented Interfaces:
    Serializable, Comparable<Context.RequestContentType>
  Enclosing class:
    Context

      public static enum Context.RequestContentType
      extends Enum<Context.RequestContentType>

  The type of the request as determined by the contents of `Tokens.ARGS_GREMLIN`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BYTECODE` Contents is of type `Bytecode`.
    `SCRIPT` Contents is of type `String`.
    `UNKNOWN` Contents are not of a type that is expected.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Context.RequestContentType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Context.RequestContentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BYTECODE

          public static final Context.RequestContentType BYTECODE

      Contents is of type `Bytecode`.

    - #### SCRIPT

          public static final Context.RequestContentType SCRIPT

      Contents is of type `String`.

    - #### UNKNOWN

          public static final Context.RequestContentType UNKNOWN

      Contents are not of a type that is expected.

  - ### Method Detail

    - #### values

          public static Context.RequestContentType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Context.RequestContentType c : Context.RequestContentType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Context.RequestContentType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.